.fintech-section {
    height: 100vh;
    max-height: 920px;
    padding: 50px 5%;

    position: relative;
}

.fintech-section__content-wrapper {
    height: 100%;
    display: flex;
    justify-content: center;
    gap: 100px;
}

.fintech-section__article {
    padding-top: 100px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.fintech-section__title {
    max-width: 620px;
    font-size: clamp(32px, 5vw, 60px);
    font-weight: 900;
    line-height: 120%;
}

.fintech-section span {
    font-size: 20px;
    font-weight: 700;

    background: linear-gradient(147deg, #1B818B 0%, #87C2B9 98.76%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.fintech-section__text {
    max-width: 585px;
    font-size: 18px;
    line-height: 24px;
}

.fintech-section__img {
    height: 100%;
    max-height: 865px;
    max-width: 50%;
    -o-object-fit: cover;
    object-fit: cover;
}

.fintech-section__stats-wrapper {
    max-width: 820px;

    display: flex;

    position: absolute;
    left: 50%;
    bottom: 15%;
    transform: translate(-50%, 0);

    border: solid 1px var(--green);
    background-color: var(--white);
}

.fintech-section__stats-wrapper div:first-of-type {
    padding: 20px;
    flex-basis: 30%;

    display: flex;
    align-items: center;

    font-size: clamp(32px, 5vw, 80px);
    font-weight: 700;

    color: var(--green);
    border-right: solid 1px var(--green);
}

.fintech-section__stats-wrapper.anim__fade {
    transform: translate(-50%, 20%) !important;
}

.fintech-section__stats-wrapper.active {
    transform: translate(-50%, 0) !important;
}

.fintech-section__stats-column {
    display: flex;
    flex-direction: column;
}

.fintech-section__stats-column p:first-of-type {
    flex-grow: 1;
    padding: 20px;

    display: flex;
    align-items: center;

    font-size: clamp(12px, 1vw, 16px);
    line-height: 150%;

    color: black;
    border-bottom: solid 1px var(--green);
}

.fintech-section__stats-column p:last-of-type {
    padding: 0 20px;

    font-size: 12px;
    line-height: 24px;

    color: var(--gray-500);
}

@media screen and (max-width: 1024px) {
    .fintech-section__content-wrapper {
        gap: 50px;
    }

    .fintech-section__article {
        padding-top: 60px;
    }

    .fintech-section__img {
        height: calc(100vh - 200px);
    }
}

@media screen and (max-width: 768px) {
    .fintech-section {
        max-height: 1024px;
    }

    .fintech-section__content-wrapper {
        height: 100%;
        overflow: hidden;
        flex-direction: column;
        justify-content: initial;
    }

    .fintech-section__img {
        width: 100%;
        max-width: initial;
    }

    .fintech-section__stats-wrapper {
        width: 80%;
        bottom: 20vw
    }
}

@media screen and (max-height: 800px) {
    .fintech-section__title {
        font-size: clamp(32px, 3vw, 60px);
    }

    .fintech-section__stats-wrapper {
        bottom: 10%;
    }

    .fintech-section__stats-wrapper div:first-of-type {
        font-size: clamp(32px, 3vw, 80px);
    }
}
